## woof-doom 15.0.1+dfsg

=== CMakeLists.txt ===
include(CheckLibraryExists)
include(CheckIncludeFile)
include(CheckSymbolExists)
include(CheckCSourceCompiles)

# Adds the cmake directory to the CMake include path.
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# X_VCPKG_APPLOCAL_DEPS_INSTALL automatically installs dependencies.
set(CMAKE_POLICY_DEFAULT_CMP0077 NEW)
set(X_VCPKG_APPLOCAL_DEPS_INSTALL ON)

cmake_minimum_required(VERSION 3.9)

project("Woof"
    VERSION 15.0.1
    LANGUAGES C)

set(CMAKE_C_STANDARD 99)

# Set a default build type if none was specified
set(default_build_type "RelWithDebInfo")
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to '${default_build_type}' as none was specified.")
  set(CMAKE_BUILD_TYPE "${default_build_type}" CACHE
      STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
    "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()

# Prevent in-tree builds.
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR "In-tree builds are not supported.")
endif()

# Hardcoded defines added to configure and resource files.
set(PROJECT_COMPANY "Fabian Greffrath and contributors")
set(PROJECT_COPYRIGHT "Copyright (C) 1993-2024")
set(PROJECT_LICENSE "GNU General Public License, version 2")
set(PROJECT_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
set(PROJECT_SHORTNAME "woof")
set(BASE_PK3 "woof.pk3")
set(WOOF_ICON "woof.ico")
set(SETUP_ICON "setup.ico")
set(PROJECT_VERSION_RC "${PROJECT_VERSION_MAJOR},${PROJECT_VERSION_MINOR},${PROJECT_VERSION_PATCH},0") # ${PROJECT_VERSION_TWEAK}

# Toggle-able defines added at compile-time.
option(WOOF_RANGECHECK "Enable bounds-checking of performance-sensitive functions" ON)
option(WOOF_STRICT "Prefer original MBF code paths over demo compatiblity with PrBoom+" OFF)

# Compiler environment requirements.
check_library_exists(m pow "" HAVE_LIBM)
check_include_file("dirent.h" HAVE_DIRENT_H)
check_symbol_exists(strcasecmp "strings.h" HAVE_DECL_STRCASECMP)
check_symbol_exists(strncasecmp "strings.h" HAVE_DECL_STRNCASECMP)
check_c_source_compiles("
    #include <windows.h>
    int main()
    {
        CreateWaitableTimerEx(NULL, NULL, CREATE_WAITABLE_TIMER_HIGH_RESOLUTION,
                              TIMER_ALL_ACCESS);
        return 0;
    }
  "
  HAVE_HIGH_RES_TIMER
)
check_c_source_compiles("
    #include <immintrin.h>
    int main()
    {
        int tmp = _div64(4, 2, NULL);
        return 0;
    }
  "
  HAVE__DIV64
)

option(CMAKE_FIND_PACKAGE_PREFER_CONFIG
       "Lookup package config files before using find modules" ON)

set(CMAKE_FIND_FRAMEWORK NEVER)

# Library requirements.
find_package(SDL2 2.0.18 REQUIRED)
find_package(SDL2_net REQUIRED)
find_package(OpenAL REQUIRED)
find_package(libebur128 REQUIRED)
find_package(SndFile 1.0.29 REQUIRED)
if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    find_package(ALSA REQUIRED)
endif()

if(ALSA_FOUND)
    set(HAVE_ALSA TRUE)
endif()

if(OPENAL_VERSION_STRING VERSION_GREATER_EQUAL "1.22.0")
    set(HAVE_AL_BUFFER_CALLBACK TRUE)
endif()

if(NOT TARGET SDL2_net::SDL2_net)
    add_library(SDL2_net::SDL2_net ALIAS SDL2_net::SDL2_net-static)
endif()

if(SndFile_VERSION VERSION_GREATER_EQUAL "1.1.0")
   set(HAVE_SNDFILE_MPEG TRUE)
endif()

find_package(yyjson)
find_package(FluidSynth)
find_package(libxmp)

if(FluidSynth_FOUND)
    set(HAVE_FLUIDSYNTH TRUE)
endif()

if(libxmp_FOUND)
    set(HAVE_LIBXMP TRUE)
    if(NOT TARGET libxmp::xmp)
        if(TARGET libxmp::xmp_shared)
            add_library(libxmp::xmp ALIAS libxmp::xmp_shared)
        else()
            add_library(libxmp::xmp ALIAS libxmp::xmp_static)
        endif()
    endif()
endif()

# Python 3
find_package(Python3 COMPONENTS Interpreter)

configure_file(config.h.in config.h)

if(WIN32)
    install(FILES COPYING DESTINATION . RENAME COPYING.txt)
    install(FILES README.md DESTINATION .)
    install(DIRECTORY examples/ DESTINATION docs/examples)
    if(FluidSynth_FOUND)
        install(DIRECTORY soundfonts/ DESTINATION soundfonts)
    endif()
else()
    install(FILES COPYING DESTINATION "share/doc/${PROJECT_SHORTNAME}")
    install(FILES README.md DESTINATION "share/doc/${PROJECT_SHORTNAME}")
    if(EXISTS "${CMAKE_SOURCE_DIR}/examples")
        install(DIRECTORY examples/ DESTINATION "share/doc/${PROJECT_SHORTNAME}/examples")
    endif()
    if(EXISTS "${CMAKE_SOURCE_DIR}/soundfonts" AND FluidSynth_FOUND)
        install(DIRECTORY soundfonts/ DESTINATION "share/${PROJECT_SHORTNAME}/soundfonts")
    endif()
endif()

# Generate distribution packages with CPack.
if(WIN32)
    set(CPACK_GENERATOR ZIP)
elseif(LINUX)
    set(CPACK_GENERATOR External)
    set(CPACK_EXTERNAL_ENABLE_STAGING YES)
    set(CPACK_PACKAGING_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
    set(CPACK_EXTERNAL_PACKAGE_SCRIPT "${PROJECT_BINARY_DIR}/appimage-generate.cmake")

    file(GENERATE
        OUTPUT "${PROJECT_BINARY_DIR}/appimage-generate.cmake"
        CONTENT [[
            find_program(LINUXDEPLOY_EXECUTABLE
                NAMES linuxdeploy linuxdeploy-x86_64.AppImage
                PATHS ${CPACK_PACKAGE_DIRECTORY}/linuxdeploy)

            if(NOT LINUXDEPLOY_EXECUTABLE)
                message(STATUS "Downloading linuxdeploy")
                set(LINUXDEPLOY_EXECUTABLE ${CPACK_PACKAGE_DIRECTORY}/linuxdeploy/linuxdeploy)
                file(DOWNLOAD
                    https://github.com/linuxdeploy/linuxdeploy/releases/download/continuous/linuxdeploy-x86_64.AppImage
                    ${LINUXDEPLOY_EXECUTABLE}
                    INACTIVITY_TIMEOUT 10)
                execute_process(COMMAND
                    chmod +x ${LINUXDEPLOY_EXECUTABLE} COMMAND_ECHO STDOUT)
            endif()

            execute_process(COMMAND
                ${CMAKE_COMMAND} -E env
                OUTPUT=${CPACK_PACKAGE_FILE_NAME}.appimage
                VERSION=$<IF:$<BOOL:${CPACK_PACKAGE_VERSION}>,${CPACK_PACKAGE_VERSION},0.1.0>
                ${LINUXDEPLOY_EXECUTABLE}
                --appimage-extract-and-run
                --appdir=${CPACK_TEMPORARY_DIRECTORY}
                --executable=$<TARGET_FILE:woof>
                --desktop-file=${CPACK_TEMPORARY_DIRECTORY}/${CPACK_PACKAGING_INSTALL_PREFIX}/share/applications/io.github.fabiangreffrath.woof.desktop
                --icon-file=${CPACK_TEMPORARY_DIRECTORY}/${CPACK_PACKAGING_INSTALL_PREFIX}/share/icons/hicolor/128x128/apps/woof.png
                --output=appimage)
            ]])
else()
    set(CPACK_GENERATOR TGZ)
endif()
set(CPACK_SOURCE_GENERATOR TGZ ZIP)
set(CPACK_SOURCE_IGNORE_FILES "/.git/;/build;/.vs/;/out/;CMakeSettings.json")
set(CPACK_STRIP_FILES TRUE)
include(CPack)

set(BASE_PK3_PATH "${CMAKE_BINARY_DIR}/src/${BASE_PK3}")

# Where to find other CMakeLists.txt files.
add_subdirectory(base)
add_subdirectory(data)
add_subdirectory(opl)
add_subdirectory(textscreen)
add_subdirectory(third-party)
add_subdirectory(src)
add_subdirectory(setup)
add_subdirectory(docs)
add_subdirectory(man)

=== base/CMakeLists.txt ===
set(BASE_SOURCES
    all-all/animated.lmp
    all-all/compdb.lmp
    all-all/crblack.lmp
    all-all/crblue.lmp
    all-all/crblue2.lmp
    all-all/crbrick.lmp
    all-all/crbrown.lmp
    all-all/crgold.lmp
    all-all/crgray.lmp
    all-all/crgreen.lmp
    all-all/crorange.lmp
    all-all/cross00.png
    all-all/cross01.png
    all-all/cross02.png
    all-all/cross03.png
    all-all/cross04.png
    all-all/cross05.png
    all-all/cross06.png
    all-all/cross07.png
    all-all/cross08.png
    all-all/crpurple.lmp
    all-all/crred.lmp
    all-all/crtan.lmp
    all-all/crwhite.lmp
    all-all/cryellow.lmp
    all-all/dig033.png
    all-all/dig037.png
    all-all/dig043.png
    all-all/dig045.png
    all-all/dig046.png
    all-all/dig047.png
    all-all/dig048.png
    all-all/dig049.png
    all-all/dig050.png
    all-all/dig051.png
    all-all/dig052.png
    all-all/dig053.png
    all-all/dig054.png
    all-all/dig055.png
    all-all/dig056.png
    all-all/dig057.png
    all-all/dig058.png
    all-all/dig065.png
    all-all/dig066.png
    all-all/dig067.png
    all-all/dig068.png
    all-all/dig069.png
    all-all/dig070.png
    all-all/dig071.png
    all-all/dig072.png
    all-all/dig073.png
    all-all/dig074.png
    all-all/dig075.png
    all-all/dig076.png
    all-all/dig077.png
    all-all/dig078.png
    all-all/dig079.png
    all-all/dig080.png
    all-all/dig081.png
    all-all/dig082.png
    all-all/dig083.png
    all-all/dig084.png
    all-all/dig085.png
    all-all/dig086.png
    all-all/dig087.png
    all-all/dig088.png
    all-all/dig089.png
    all-all/dig090.png
    all-all/dig091.png
    all-all/dig093.png
    all-all/dmxopl.op2
    all-all/dsdgact.wav
    all-all/dsdgatk.wav
    all-all/dsdgdth.wav
    all-all/dsdgpain.wav
    all-all/dsdgsit.wav
    all-all/m_butt1.png
    all-all/m_butt2.png
    all-all/m_vbox.png
    all-all/sbardef.lmp
    all-all/sbhuddef.lmp
    all-all/skytran.lmp

    all-all/smbfgg0.png
    all-all/smbfgg1.png
    all-all/smcsaw0.png
    all-all/smcsaw1.png
    all-all/smfist0.png
    all-all/smfist1.png
    all-all/smlaun0.png
    all-all/smlaun1.png
    all-all/smmgun0.png
    all-all/smmgun1.png
    all-all/smpisg0.png
    all-all/smpisg1.png
    all-all/smplas0.png
    all-all/smplas1.png
    all-all/smsgn20.png
    all-all/smsgn21.png
    all-all/smshot0.png
    all-all/smshot1.png
    all-all/smunkn0.png
    all-all/smunkn1.png

    all-all/stbr123.png
    all-all/stbr124.png
    all-all/stbr125.png
    all-all/stbr126.png
    all-all/stbr127.png
    all-all/stkeys6.png
    all-all/stkeys7.png
    all-all/stkeys8.png
    all-all/switches.lmp

    all-all/colormaps/watermap.cmp

    all-all/sprites/dogsa1.png
    all-all/sprites/dogsa2.png
    all-all/sprites/dogsa3.png
    all-all/sprites/dogsa4.png
    all-all/sprites/dogsa5.png
    all-all/sprites/dogsa6.png
    all-all/sprites/dogsa7.png
    all-all/sprites/dogsa8.png
    all-all/sprites/dogsb1.png
    all-all/sprites/dogsb2.png
    all-all/sprites/dogsb3.png
    all-all/sprites/dogsb4.png
    all-all/sprites/dogsb5.png
    all-all/sprites/dogsb6.png
    all-all/sprites/dogsb7.png
    all-all/sprites/dogsb8.png
    all-all/sprites/dogsc1.png
    all-all/sprites/dogsc2.png
    all-all/sprites/dogsc3.png
    all-all/sprites/dogsc4.png
    all-all/sprites/dogsc5.png
    all-all/sprites/dogsc6.png
    all-all/sprites/dogsc7.png
    all-all/sprites/dogsc8.png
    all-all/sprites/dogsd1.png
    all-all/sprites/dogsd2.png
    all-all/sprites/dogsd3.png
    all-all/sprites/dogsd4.png
    all-all/sprites/dogsd5.png
    all-all/sprites/dogsd6.png
    all-all/sprites/dogsd7.png
    all-all/sprites/dogsd8.png
    all-all/sprites/dogse1.png
    all-all/sprites/dogse2.png
    all-all/sprites/dogse3.png
    all-all/sprites/dogse4.png
    all-all/sprites/dogse5.png
    all-all/sprites/dogse6.png
    all-all/sprites/dogse7.png
    all-all/sprites/dogse8.png
    all-all/sprites/dogsf1.png
    all-all/sprites/dogsf2.png
    all-all/sprites/dogsf3.png
    all-all/sprites/dogsf4.png
    all-all/sprites/dogsf5.png
    all-all/sprites/dogsf6.png
    all-all/sprites/dogsf7.png
    all-all/sprites/dogsf8.png
    all-all/sprites/dogsg1.png
    all-all/sprites/dogsg2.png
    all-all/sprites/dogsg3.png
    all-all/sprites/dogsg4.png
    all-all/sprites/dogsg5.png
    all-all/sprites/dogsg6.png
    all-all/sprites/dogsg7.png
    all-all/sprites/dogsg8.png
    all-all/sprites/dogsh1.png
    all-all/sprites/dogsh2.png
    all-all/sprites/dogsh3.png
    all-all/sprites/dogsh4.png
    all-all/sprites/dogsh5.png
    all-all/sprites/dogsh6.png
    all-all/sprites/dogsh7.png
    all-all/sprites/dogsh8.png
    all-all/sprites/dogsi0.png
    all-all/sprites/dogsj0.png
    all-all/sprites/dogsk0.png
    all-all/sprites/dogsl0.png
    all-all/sprites/dogsm0.png
    all-all/sprites/dogsn0.png
    all-all/sprites/pls1a0.png
    all-all/sprites/pls1b0.png
    all-all/sprites/pls1c0.png
    all-all/sprites/pls1d0.png
    all-all/sprites/pls1e0.png
    all-all/sprites/pls1f0.png
    all-all/sprites/pls1g0.png
    all-all/sprites/pls2a0.png
    all-all/sprites/pls2b0.png
    all-all/sprites/pls2c0.png
    all-all/sprites/pls2d0.png
    all-all/sprites/pls2e0.png
    all-all/sprites/tnt1a0.png

    betalevl.wad/umapdef.lmp

    chex.wad/brghtmps.lmp
    chex.wad/dehacked.lmp
    chex.wad/umapdef.lmp

    chex2.wad/brghtmps.lmp

    doom-all/brghtmps.lmp

    e1m4b.wad/umapdef.lmp
    e1m8b.wad/umapdef.lmp

    extras.wad/sbardef.lmp

    hacx.wad/brghtmps.lmp
    hacx.wad/dehacked.deh

    id1.wad/sbardef.lmp

    masterlevels.wad/umapdef.lmp

    nerve.wad/umapdef.lmp

    rekkr.wad/dehacked.lmp
    rekkrsa.wad/dehacked.lmp
    rekkrsl.wad/dehacked.lmp

    sigil_v1_21.wad/umapdef.lmp

    tnt.wad/brghtmps.lmp)

add_custom_command(OUTPUT "${BASE_PK3_PATH}"
    COMMAND ${CMAKE_COMMAND} -E tar cf "${BASE_PK3_PATH}" --format=zip ${BASE_SOURCES}
    DEPENDS ${BASE_SOURCES}
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")

add_custom_target(woof-base DEPENDS "${BASE_PK3_PATH}")

if(WIN32)
    install(FILES "${BASE_PK3_PATH}" DESTINATION .)
else()
    install(FILES "${BASE_PK3_PATH}" DESTINATION "share/${PROJECT_SHORTNAME}")
endif()

=== src/CMakeLists.txt ===
include(WoofSettings)

set(WOOF_SOURCES
    am_map.c               am_map.h
    d_deh.c                d_deh.h
                           d_englsh.h
                           d_event.h
                           d_french.h
    d_items.c              d_items.h
    d_iwad.c               d_iwad.h
    d_loop.c               d_loop.h
    d_main.c               d_main.h
    d_net.c
                           d_player.h
    d_quit.c               d_quit.h
                           d_think.h
                           d_ticcmd.h
                           doomdata.h
                           doomdef.h
    doomstat.c             doomstat.h
                           doomtype.h
    dsdhacked.c            dsdhacked.h
    dstrings.c             dstrings.h
    f_finale.c             f_finale.h
    f_wipe.c               f_wipe.h
    g_compatibility.c      g_compatibility.h
    g_game.c               g_game.h
    g_input.c              g_input.h
    g_nextweapon.c         g_nextweapon.h
    hu_command.c           hu_command.h
    hu_coordinates.c       hu_coordinates.h
    hu_crosshair.c         hu_crosshair.h
    hu_obituary.c          hu_obituary.h
    i_3dsound.c
    i_endoom.c             i_endoom.h
    i_flickstick.c         i_flickstick.h
    i_gamepad.c            i_gamepad.h
    i_glob.c               i_glob.h
    i_gyro.c               i_gyro.h
    i_input.c              i_input.h
    i_main.c
    i_mbfsound.c
    i_midimusic.c
                           i_oalcommon.h
    i_oalequalizer.c       i_oalequalizer.h
    i_oalmusic.c
    i_oalsound.c           i_oalsound.h
                           i_oalstream.h
    i_oplmusic.c
    i_printf.c             i_printf.h
    i_rumble.c             i_rumble.h
    i_sndfile.c            i_sndfile.h
    i_sound.c              i_sound.h
    i_system.c             i_system.h
    i_timer.c              i_timer.h
    i_video.c              i_video.h
    info.c                 info.h
    m_argv.c               m_argv.h
                           m_array.h
    m_bbox.c               m_bbox.h
    m_cheat.c              m_cheat.h
    m_config.c             m_config.h
                           m_fixed.h
    m_input.c              m_input.h
    m_io.c                 m_io.h
    m_json.c               m_json.h
    mn_font.c              mn_font.h
    mn_menu.c              mn_menu.h
    mn_setup.c             mn_internal.h
    m_misc.c               m_misc.h
    m_random.c             m_random.h
    mn_snapshot.c          mn_snapshot.h
                           m_swap.h
                           m_vector.h
    memio.c                memio.h
    midifallback.c         midifallback.h
    midifile.c             midifile.h
    midiout.c              midiout.h
    mus2mid.c              mus2mid.h
    nano_bsp.c             nano_bsp.h
    net_client.c           net_client.h
    net_common.c           net_common.h
    net_dedicated.c        net_dedicated.h
                           net_defs.h
    net_gui.c              net_gui.h
    net_io.c               net_io.h
    net_loop.c             net_loop.h
    net_packet.c           net_packet.h
    net_query.c            net_query.h
    net_sdl.c              net_sdl.h
    net_server.c           net_server.h
    net_structrw.c         net_structrw.h
                           p_action.h
    p_ceilng.c
    p_doors.c
    p_enemy.c              p_enemy.h
    p_extnodes.c           p_extnodes.h
    p_floor.c
    p_genlin.c
    p_inter.c              p_inter.h
    p_lights.c
    p_map.c                p_map.h
    p_maputl.c             p_maputl.h
    p_mobj.c               p_mobj.h
    p_plats.c
    p_pspr.c               p_pspr.h
    p_saveg.c              p_saveg.h
    p_setup.c              p_setup.h
    p_sight.c
    p_spec.c               p_spec.h
    p_switch.c
    p_telept.c
    p_tick.c               p_tick.h
    p_user.c               p_user.h
    r_bmaps.c              r_bmaps.h
    r_bsp.c                r_bsp.h
    r_data.c               r_data.h
                           r_defs.h
    r_draw.c               r_draw.h
    r_main.c               r_main.h
    r_plane.c              r_plane.h
    r_segs.c               r_segs.h
    r_sky.c                r_sky.h
    r_skydefs.c            r_skydefs.h
                           r_state.h
    r_swirl.c              r_swirl.h
    r_things.c             r_things.h
    r_voxel.c              r_voxel.h
    s_musinfo.c            s_musinfo.h
    s_sound.c              s_sound.h
    s_trakinfo.c           s_trakinfo.h
    sounds.c               sounds.h
    st_sbardef.c           st_sbardef.h
    st_carousel.c          st_carousel.h
    st_stuff.c             st_stuff.h
    st_widgets.c           st_widgets.h
    statdump.c             statdump.h
    tables.c               tables.h
    u_mapinfo.c            u_mapinfo.h
    u_scanner.c            u_scanner.h
    v_flextran.c           v_flextran.h
    v_fmt.c                v_fmt.h
    v_trans.c              v_trans.h
    v_video.c              v_video.h
    version.c              version.h
    w_wad.c                w_wad.h
                           w_internal.h
    w_file.c
    w_zip.c
    wi_stuff.c             wi_stuff.h
    wi_interlvl.c          wi_interlvl.h
    ws_stuff.c             ws_stuff.h
    z_zone.c               z_zone.h)

# Standard target definition
if(WIN32)
    add_library(woof SHARED EXCLUDE_FROM_ALL ${WOOF_SOURCES})
    target_compile_definitions(woof PRIVATE WIN_LAUNCHER)

    # Stamp out and compile resource file on Windows.
    configure_file(resource.rc.in "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")

    add_executable(woof-com WIN32 ../win32/win_launcher.c
        "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
    target_woof_settings(woof-com)
    target_include_directories(woof-com PRIVATE ${SDL2_INCLUDE_DIR})
    target_link_libraries(woof-com PRIVATE ${SDL2_LIBRARIES} woof)

    add_executable(woof-exe WIN32 ../win32/win_launcher.c
        "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
    target_woof_settings(woof-exe)
    target_include_directories(woof-exe PRIVATE ${SDL2_INCLUDE_DIR})
    target_link_libraries(woof-exe PRIVATE ${SDL2_LIBRARIES} woof)

    # MSVC tries to supply a default manifest and complains when it finds ours
    # unless we specifically tell it not to.
    if(MSVC)
        target_link_options(woof-com PRIVATE "/MANIFEST:NO" "/SUBSYSTEM:CONSOLE")
        target_link_options(woof-exe PRIVATE "/MANIFEST:NO")
    else()
        target_link_options(woof-com PRIVATE "-mconsole")
    endif()
else()
    add_executable(woof ${WOOF_SOURCES})
endif()

target_woof_settings(woof)
target_include_directories(woof PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")

target_link_libraries(woof PRIVATE
    ${SDL2_LIBRARIES}
    SDL2_net::SDL2_net
    OpenAL::OpenAL
    libebur128::libebur128
    SndFile::sndfile
    yyjson::yyjson
    opl
    pffft
    textscreen
    miniz
    spng
    sha1
    md5)

# Some platforms require standard libraries to be linked against.
if(HAVE_LIBM)
    target_link_libraries(woof PRIVATE m)
endif()

if(HAVE_AL_BUFFER_CALLBACK)
    target_sources(woof PRIVATE i_pcsound.c)
endif()

if(WIN32)
    target_include_directories(woof PRIVATE "../win32")
    target_link_libraries(woof PRIVATE winmm shlwapi)
    target_sources(woof PRIVATE ../win32/win_opendir.c ../win32/win_opendir.h)
endif()

if(APPLE)
    target_link_libraries(woof PRIVATE
        -Wl,-framework,AudioToolbox -Wl,-framework,AudioUnit
        -Wl,-framework,CoreServices -Wl,-framework,CoreAudio
        -Wl,-framework,CoreMIDI)
endif()

if(ALSA_FOUND)
    target_include_directories(woof PRIVATE ${ALSA_INCLUDE_DIR})
    target_link_libraries(woof PRIVATE ALSA::ALSA)
endif()

if(FluidSynth_FOUND)
    target_sources(woof PRIVATE i_flmusic.c)
    target_link_libraries(woof PRIVATE FluidSynth::libfluidsynth)
endif()

if(libxmp_FOUND)
    target_sources(woof PRIVATE i_xmp.c)
    target_link_libraries(woof PRIVATE libxmp::xmp)
endif()

# Optional features.
#
# Our defines are not namespaced, so we pass them at compile-time instead of
# using config.h.
if(WOOF_RANGECHECK)
    target_compile_definitions(woof PRIVATE RANGECHECK)
endif()
if(WOOF_STRICT)
    target_compile_definitions(woof PRIVATE MBF_STRICT)
endif()

set(SETUP_SOURCES
    d_iwad.c                d_iwad.h
    i_main.c
    i_printf.c              i_printf.h
    i_system.c              i_system.h
    i_timer.c               i_timer.h
    m_argv.c                m_argv.h
                            m_array.h
    m_io.c                  m_io.h
    m_misc.c                m_misc.h
    net_io.c                net_io.h
    net_packet.c            net_packet.h
    net_query.c             net_query.h
    net_sdl.c               net_sdl.h
    net_structrw.c          net_structrw.h
    version.c               version.h
    z_zone.c                z_zone.h)

if(WIN32)
    # Stamp out and compile resource file on Windows.
    configure_file(setup-res.rc.in "${CMAKE_CURRENT_BINARY_DIR}/setup-res.rc")
    list(APPEND SETUP_SOURCES "${CMAKE_CURRENT_BINARY_DIR}/setup-res.rc")
endif()

add_executable(woof-setup WIN32 ${SETUP_SOURCES})
target_woof_settings(woof-setup)

target_include_directories(woof-setup PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries(woof-setup PRIVATE
    ${SDL2_LIBRARIES}
    SDL2_net::SDL2_net
    textscreen
    setup)

if(MSVC)
    target_link_options(woof-setup PRIVATE "/MANIFEST:NO")
endif()

add_dependencies(woof woof-base)

if(MSVC)
    add_custom_command(TARGET woof POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy
        "${BASE_PK3_PATH}" "$<TARGET_FILE_DIR:woof>")
endif()

# Install
#
# Rename woof-com and woof-exe executables.
if(WIN32)
    add_custom_command(TARGET woof-com POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy
        "$<TARGET_FILE_DIR:woof-com>/$<TARGET_FILE_NAME:woof-com>"
        "$<TARGET_FILE_DIR:woof-com>/woof.com")
    add_custom_command(TARGET woof-exe POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy
        "$<TARGET_FILE_DIR:woof-exe>/$<TARGET_FILE_NAME:woof-exe>"
        "$<TARGET_FILE_DIR:woof-exe>/woof.exe")
endif()

# Files to package in our distribution.
if(WIN32)
    if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.21 AND NOT VCPKG_TOOLCHAIN)
        install(TARGETS woof woof-setup
                RUNTIME_DEPENDENCIES 
                    PRE_EXCLUDE_REGEXES "api-ms-" "ext-ms-"
                    POST_EXCLUDE_REGEXES ".*system32/.*\\.dll"
                    DIRECTORIES $<TARGET_FILE_DIR:woof> $ENV{PATH}
                RUNTIME DESTINATION .)
    else()
        install(TARGETS woof woof-setup RUNTIME DESTINATION .)
    endif()
    install(FILES "$<TARGET_FILE_DIR:woof-com>/woof.com"
                  "$<TARGET_FILE_DIR:woof-exe>/woof.exe"
            DESTINATION .)
else()
    install(TARGETS woof woof-setup RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
endif()

=== debian/changelog ===
woof-doom (15.0.1+dfsg-2) unstable; urgency=medium

  * Restrict Build-Depends on libasound2-dev to linux-any

 -- Fabian Greffrath <fabian@debian.org>  Fri, 06 Dec 2024 12:52:11 +0100

woof-doom (15.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version 15.0.0+dfsg
  * No lump files are installed as part of the documentation anymore
  * Add libasound2-dev, libebur128-dev and libyyjson-dev to Build-Depends
  * Update debian/copyright
  * Bump Standards-Version to 4.7.0
  * Remove vendored yyjson copy
  * New upstream version 15.0.1+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Fri, 06 Dec 2024 11:20:31 +0100

=== debian/control ===
Source: woof-doom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 bash-completion,
 cmake,
 debhelper-compat (= 13),
 fluidsynth (>= 2.2.0),
 libasound2-dev (>= 1.0.16) [linux-any],
 libebur128-dev (>= 1.2.0),
 libfluidsynth-dev (>= 2.2.0),
 libopenal-dev,
 libsdl2-dev (>= 2.0.18),
 libsdl2-net-dev,
 libsndfile1-dev (>= 1.1.0),
 libxmp-dev,
 libyyjson-dev (>= 0.10.0),
 python3,
Standards-Version: 4.7.0
Homepage: https://github.com/fabiangreffrath/woof
Vcs-Git: https://salsa.debian.org/games-team/woof-doom.git
Vcs-Browser: https://salsa.debian.org/games-team/woof-doom

Package: woof-doom
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 freedoom | game-data-packager,
Provides:
 boom-engine,
 doom-engine,
Conflicts:
 woof,
Description: continuation of the Boom/MBF bloodline of Doom source ports
 Woof! is a continuation of Lee Killough's Doom source port MBF
 targeted at modern systems.
 .
 MBF stands for "Marine's Best Friend" and is widely regarded as the
 successor of the Boom source port by TeamTNT. It serves as the code
 base for popular Doom source ports such as PrBoom+/DSDA-Doom or The
 Eternity Engine. As the original engine was limited to run only under
 MS-DOS, it has been ported to Windows by Team Eternity under the name
 WinMBF in 2004. Woof! is developed based on the WinMBF code with the
 aim to make MBF more widely available and convenient to use on modern
 systems.
 .
 To achieve this goal, this source port is less strict regarding its
 faithfulness to the original MBF. It is focused on quality-of-life
 enhancements, bug fixes and compatibility improvements. However, all
 changes have been introduced in good faith that they are in line with
 the original author's intentions and even for the trained eye, this
 source port should still look very familiar to the original MBF.
 .
 In summary, this project's goal is to forward-port MBF.EXE from DOS to
 21st century and remove all the stumbling blocks on the way.
 Furthermore, just as MBF was ahead of its time, this project dedicates
 itself to early adoption of new modding features such as
 DEHEXTRA+DSDHacked, UMAPINFO and MBF21.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DBUILD_DATE='"$(shell date --utc --date=@${SOURCE_DATE_EPOCH} +%Y-%m-%d)"'

%:
	dh $@ \
		--with bash-completion

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_BINDIR=games \
		-DWOOFDATADIR="/usr/share/woof"

execute_after_dh_installdocs:
	mv debian/woof-doom/usr/share/doc/woof/CMDLINE.txt* \
	   debian/woof-doom/usr/share/doc/woof/*.md* \
	   debian/woof-doom/usr/share/doc/woof-doom
	rm -rf debian/woof-doom/usr/share/doc/woof

## woof-doom 15.1.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,12 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 # X_VCPKG_APPLOCAL_DEPS_INSTALL automatically installs dependencies.
-set(CMAKE_POLICY_DEFAULT_CMP0077 NEW)
 set(X_VCPKG_APPLOCAL_DEPS_INSTALL ON)
 
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.15)
 
 project("Woof"
-    VERSION 15.0.1
+    VERSION 15.1.0
     LANGUAGES C)
 
 set(CMAKE_C_STANDARD 99)
@@ -54,6 +53,7 @@
 check_include_file("dirent.h" HAVE_DIRENT_H)
 check_symbol_exists(strcasecmp "strings.h" HAVE_DECL_STRCASECMP)
 check_symbol_exists(strncasecmp "strings.h" HAVE_DECL_STRNCASECMP)
+check_symbol_exists(getpwuid "unistd.h;sys/types.h;pwd.h" HAVE_GETPWUID)
 check_c_source_compiles("
     #include <windows.h>
     int main()
@@ -75,6 +75,16 @@
   "
   HAVE__DIV64
 )
+check_c_source_compiles("
+    typedef float vec __attribute__((ext_vector_type(4)));
+    int main()
+    {
+        vec a = (vec){0, 1, 2, 3};
+        return 0;
+    }
+  "
+  HAVE_EXT_VECTOR_TYPE
+)
 
 option(CMAKE_FIND_PACKAGE_PREFER_CONFIG
        "Lookup package config files before using find modules" ON)

=== debian/changelog ===
woof-doom (15.1.0+dfsg-1) unstable; urgency=medium

  * Do not pass WOOFDATADIR anymore, it's become irrelavant
  * Bump Build-Depends to cmake (>= 3.15)
  * New upstream version 15.1.0+dfsg
  * Add some post-release bug fixes from upstream

 -- Fabian Greffrath <fabian@debian.org>  Sat, 25 Jan 2025 10:17:10 +0100

## woof-doom 15.2.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 cmake_minimum_required(VERSION 3.15)
 
 project("Woof"
-    VERSION 15.1.0
+    VERSION 15.2.0
     LANGUAGES C)
 
 set(CMAKE_C_STANDARD 99)

=== base/CMakeLists.txt ===
--- 
+++ 
@@ -199,18 +199,18 @@
     all-all/sprites/pls2e0.png
     all-all/sprites/tnt1a0.png
 
-    betalevl.wad/umapdef.lmp
+    betalevl.wad/umapinfo.lmp
 
     chex.wad/brghtmps.lmp
     chex.wad/dehacked.lmp
-    chex.wad/umapdef.lmp
+    chex.wad/umapinfo.lmp
 
     chex2.wad/brghtmps.lmp
 
     doom-all/brghtmps.lmp
 
-    e1m4b.wad/umapdef.lmp
-    e1m8b.wad/umapdef.lmp
+    e1m4b.wad/umapinfo.lmp
+    e1m8b.wad/umapinfo.lmp
 
     extras.wad/sbardef.lmp
 
@@ -218,16 +218,10 @@
     hacx.wad/dehacked.deh
 
     id1.wad/sbardef.lmp
-
-    masterlevels.wad/umapdef.lmp
-
-    nerve.wad/umapdef.lmp
 
     rekkr.wad/dehacked.lmp
     rekkrsa.wad/dehacked.lmp
     rekkrsl.wad/dehacked.lmp
-
-    sigil_v1_21.wad/umapdef.lmp
 
     tnt.wad/brghtmps.lmp)

=== data/CMakeLists.txt ===
string(TIMESTAMP PROJECT_DATE "%Y-%m-%d" UTC)

configure_file(io.github.fabiangreffrath.woof.metainfo.in
               io.github.fabiangreffrath.woof.metainfo.xml
               ESCAPE_QUOTES @ONLY)

if(UNIX AND NOT APPLE)
    install(FILES io.github.fabiangreffrath.woof.desktop DESTINATION share/applications)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/io.github.fabiangreffrath.woof.metainfo.xml"
            DESTINATION share/metainfo)
    install(FILES io.github.fabiangreffrath.woof-setup.desktop DESTINATION share/applications)
    install(FILES woof.png DESTINATION share/icons/hicolor/128x128/apps)
    install(FILES woof-setup.png DESTINATION share/icons/hicolor/128x128/apps)
endif()

=== man/CMakeLists.txt ===
include(GNUInstallDirs)

configure_file(WoofInstall.cmake.in WoofInstall.cmake ESCAPE_QUOTES @ONLY)
install(SCRIPT "${CMAKE_CURRENT_BINARY_DIR}/WoofInstall.cmake")

if(WIN32)
    install(FILES CMDLINE.txt DESTINATION .)
elseif(UNIX AND NOT APPLE)
    install(FILES CMDLINE.txt DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/doc/${PROJECT_SHORTNAME}")
    install(FILES "${PROJECT_SHORTNAME}.6" DESTINATION ${CMAKE_INSTALL_MANDIR}/man6)
    install(FILES "${PROJECT_SHORTNAME}-setup.6" DESTINATION ${CMAKE_INSTALL_MANDIR}/man6)
    install(FILES "bash-completion/${PROJECT_SHORTNAME}"
        DESTINATION "share/bash-completion/completions")
endif()

=== setup/CMakeLists.txt ===
include(WoofSettings)

add_library(setup STATIC
            execute.c           execute.h
            mainmenu.c
            multiplayer.c       multiplayer.h)

target_woof_settings(setup)

target_include_directories(setup
                           INTERFACE "."
                           PRIVATE "../src/" "${CMAKE_CURRENT_BINARY_DIR}/../")

target_link_libraries(setup textscreen SDL2::SDL2)

=== debian/changelog ===
woof-doom (15.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 15.2.0+dfsg
  * Update my Debian packaging copyright
  * Remove all patches, applied upstream

 -- Fabian Greffrath <fabian@debian.org>  Fri, 07 Feb 2025 10:08:50 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  bash-completion,
- cmake,
+ cmake (>= 3.15),
  debhelper-compat (= 13),
  fluidsynth (>= 2.2.0),
  libasound2-dev (>= 1.0.16) [linux-any],

=== debian/watch ===
version=4
opts="dversionmangle=s/@DEB_EXT@//,repack,repacksuffix=+dfsg,compression=xz" \
https://github.com/fabiangreffrath/woof/tags \
https://github.com/fabiangreffrath/woof/archive/refs/tags/woof@ANY_VERSION@@ARCHIVE_EXT@

## woof-doom 15.3.0%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 cmake_minimum_required(VERSION 3.15)
 
 project("Woof"
-    VERSION 15.2.0
+    VERSION 15.3.0
     LANGUAGES C)
 
 set(CMAKE_C_STANDARD 99)

=== third-party/CMakeLists.txt ===
include(WoofSettings)

add_library(md5 STATIC md5/md5.c)
target_woof_settings(md5)
target_include_directories(md5 INTERFACE md5)

add_library(miniz STATIC miniz/miniz.c)
target_woof_settings(miniz)
target_compile_definitions(miniz PRIVATE MINIZ_NO_TIME)
target_include_directories(miniz INTERFACE miniz)

add_library(pffft STATIC pffft/pffft.c)
target_woof_settings(pffft)
target_include_directories(pffft INTERFACE pffft)

add_library(spng STATIC spng/spng.c)
target_woof_settings(spng)
target_compile_definitions(spng PRIVATE SPNG_USE_MINIZ INTERFACE SPNG_STATIC)
target_include_directories(spng INTERFACE spng)
target_link_libraries(spng miniz)

if(NOT yyjson_FOUND)
    add_library(yyjson STATIC yyjson/yyjson.c)
    target_woof_settings(yyjson)
    target_compile_definitions(yyjson PRIVATE YYJSON_DISABLE_WRITER=1 YYJSON_DISABLE_UTILS=1)
    target_include_directories(yyjson INTERFACE yyjson)
    add_library(yyjson::yyjson ALIAS yyjson)
endif()

add_library(sha1 STATIC sha1/sha1.c)
target_woof_settings(sha1)
target_include_directories(sha1 INTERFACE sha1)

## woof-doom 15.3.0+dfsg

=== base/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 set(BASE_SOURCES
     all-all/animated.lmp
+    all-all/chexdeh.lmp
     all-all/compdb.lmp
     all-all/crblack.lmp
     all-all/crblue.lmp
@@ -202,15 +203,17 @@
     betalevl.wad/umapinfo.lmp
 
     chex.wad/brghtmps.lmp
-    chex.wad/dehacked.lmp
     chex.wad/umapinfo.lmp
 
     chex2.wad/brghtmps.lmp
+    chex2.wad/dehacked.lmp
+
+    chex-all/brghtmps.lmp
 
     doom-all/brghtmps.lmp
 
-    e1m4b.wad/umapinfo.lmp
-    e1m8b.wad/umapinfo.lmp
+    e1m4b.wad/dehacked.lmp
+    e1m8b.wad/dehacked.lmp
 
     extras.wad/sbardef.lmp

=== docs/CMakeLists.txt ===
set(WOOF_DOCS
    boom.txt
    boomdeh.txt
    boomref.txt
    mbf.txt
    mbfedit.txt
    mbffaq.txt
    options.txt)

if(WIN32)
    install(FILES ${WOOF_DOCS} DESTINATION docs)
else()
    install(FILES ${WOOF_DOCS} DESTINATION "share/doc/${PROJECT_SHORTNAME}")
endif()

=== opl/CMakeLists.txt ===
include(WoofSettings)

add_library(opl STATIC
            opl.c           opl.h
                            opl_internal.h
            opl_queue.c     opl_queue.h
            opl_sdl.c
            opl3.c          opl3.h)

target_woof_settings(opl)

target_include_directories(opl
                           INTERFACE "."
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../" "../src/")
target_link_libraries(opl)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 set(WOOF_SOURCES
     am_map.c               am_map.h
     d_deh.c                d_deh.h
+    d_demoloop.c           d_demoloop.h
                            d_englsh.h
                            d_event.h
                            d_french.h
@@ -27,6 +28,7 @@
     g_game.c               g_game.h
     g_input.c              g_input.h
     g_nextweapon.c         g_nextweapon.h
+    g_umapinfo.c           g_umapinfo.h
     hu_command.c           hu_command.h
     hu_coordinates.c       hu_coordinates.h
     hu_crosshair.c         hu_crosshair.h
@@ -64,6 +66,7 @@
     m_input.c              m_input.h
     m_io.c                 m_io.h
     m_json.c               m_json.h
+    m_scanner.c            m_scanner.h
     mn_font.c              mn_font.h
     mn_menu.c              mn_menu.h
     mn_setup.c             mn_internal.h
@@ -136,8 +139,6 @@
     st_widgets.c           st_widgets.h
     statdump.c             statdump.h
     tables.c               tables.h
-    u_mapinfo.c            u_mapinfo.h
-    u_scanner.c            u_scanner.h
     v_flextran.c           v_flextran.h
     v_fmt.c                v_fmt.h
     v_trans.c              v_trans.h

=== textscreen/CMakeLists.txt ===
include(WoofSettings)

add_library(textscreen STATIC
                                textscreen.h
            txt_button.c        txt_button.h
            txt_checkbox.c      txt_checkbox.h
            txt_desktop.c       txt_desktop.h
            txt_dropdown.c      txt_dropdown.h
            txt_fileselect.c    txt_fileselect.h
            txt_gui.c           txt_gui.h
            txt_inputbox.c      txt_inputbox.h
            txt_io.c            txt_io.h
            txt_label.c         txt_label.h
                                txt_main.h
            txt_scrollpane.c    txt_scrollpane.h
            txt_sdl.c           txt_sdl.h
            txt_separator.c     txt_separator.h
            txt_strut.c         txt_strut.h
            txt_table.c         txt_table.h
            txt_utf8.c          txt_utf8.h
            txt_widget.c        txt_widget.h
            txt_window.c        txt_window.h
            txt_window_action.c txt_window_action.h)

target_woof_settings(textscreen)

target_include_directories(textscreen
                           INTERFACE "."
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../" "../src/")
target_link_libraries(textscreen SDL2::SDL2)

=== toolsrc/CMakeLists.txt ===
include(WoofSettings)

add_executable(bin2c EXCLUDE_FROM_ALL bin2c.c)
add_executable(bmp2c EXCLUDE_FROM_ALL bmp2c.c)
add_executable(swantbls EXCLUDE_FROM_ALL swantbls.c)

target_include_directories(bmp2c PRIVATE "../src/" "${CMAKE_CURRENT_BINARY_DIR}/../")

target_woof_settings(bin2c bmp2c swantbls)

=== debian/changelog ===
woof-doom (15.3.0+dfsg-1) unstable; urgency=medium

  * Update debian/copyright
  * Update debian/watch file to version 5
  * New upstream version 15.3.0+dfsg
  * Bump Standards-Version to 4.7.2
  * Remove redundant RRR: no

 -- Fabian Greffrath <fabian@debian.org>  Tue, 04 Nov 2025 18:09:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Fabian Greffrath <fabian@debian.org>,
-Rules-Requires-Root: no
 Build-Depends:
  bash-completion,
  cmake (>= 3.15),
@@ -20,7 +19,7 @@
  libxmp-dev,
  libyyjson-dev (>= 0.10.0),
  python3,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/fabiangreffrath/woof
 Vcs-Git: https://salsa.debian.org/games-team/woof-doom.git
 Vcs-Browser: https://salsa.debian.org/games-team/woof-doom

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DCMAKE_INSTALL_BINDIR=games \
-		-DWOOFDATADIR="/usr/share/woof"
+		-DCMAKE_INSTALL_BINDIR=games
 
 execute_after_dh_installdocs:
 	mv debian/woof-doom/usr/share/doc/woof/CMDLINE.txt* \

=== debian/watch ===
Version: 5
Source: https://github.com/fabiangreffrath/woof/tags
Matching-Pattern: https://github.com/fabiangreffrath/woof/archive/refs/tags/woof@ANY_VERSION@@ARCHIVE_EXT@
Dversion-Mangle: s/@DEB_EXT@//
Repack-Suffix: +dfsg
Compression: xz
